#pragma once

class MAP;

#include "ptrlist.h"
#include "glbdef.h"
#include "pos.h"
#include "map.h"

class ATLAS
{
public:
    ATLAS();
    ~ATLAS();

    void	registerMap(MAP *map);
    void	registerDef(ROOM_DEF_NC *def);
    void	resetAll();
    static void createNewWorld();

    MAP 	*map(int id) { return myMaps(id); }
    const MAP 	*map(int id) const { return myMaps(id); }
    MAP		*findMap(const char *name);
    MAP		*findMapByQuest(const char *name);
    const MAP	*findMap(const char *name) const;
    const MAP	*findMapByQuest(const char *name) const;
    int		getNumMaps() const { return myMaps.entries(); }

    int		getDaystars() const;
    void	addDaystar();

    void	heartbeat();
    void	clearMessages();

    void	clear(SQUARE_NAMES tile);

    void		 resetFlag(FLAG_NAMES flag, bool val = false);

    void		 buildFOV(POS p, int rad);

    class iterator
    {
    public:
	iterator(const ATLAS *atlas);
	void	advance();
	POS	pos() const;
	bool	done() const;
    protected:
	int	mapid;
	MAP::iterator	it;
	const ATLAS *myAtlas;
	bool	myDone;
    };

    iterator	begin() const;

protected:
    PTRLIST<MAP *> myMaps;
    PTRLIST<ROOM_DEF_NC *> myRoomDefs;

    SQUARE_NAMES	myClearSquare;
    int			myPhase;
};

ATLAS *glbAtlas();

