#!/bin/csh -f

echo Distributing version $argv
echo Run this script from support/scripts!

cd ../..

echo Now in
pwd

mkdir daystar"$argv"

cd daystar"$argv"

echo Now in
pwd


echo Copying source files...
mkdir src
cp ../*.cpp src
cp ../*.h src
cp ../*.txt src
cp ../*.TXT src
cp ../*.cfg src
rm src/todo.txt
cp ../*.c src

mkdir src/support
mkdir src/support/enummaker
cp ../support/enummaker/Makefile src/support/enummaker
cp ../support/enummaker/enummaker.cpp src/support/enummaker
cp ../support/enummaker/enummaker.sln src/support/enummaker
cp ../support/enummaker/enummaker.vcproj src/support/enummaker
mkdir src/support/map2c
cp ../support/map2c/Makefile src/support/map2c
cp ../support/map2c/*.cpp src/support/map2c
cp ../support/map2c/*.h src/support/map2c
cp ../support/map2c/*.sln src/support/map2c
cp ../support/map2c/*.vcproj src/support/map2c
mkdir src/support/scripts
cp ../support/scripts/builddist.sh src/support/scripts

mkdir src/lib
mkdir src/rooms
cp ../rooms/*.map src/rooms
cp ../rooms/*.sh src/rooms
cp ../rooms/*.bash src/rooms
mkdir src/gfx
cp ../gfx/*.bmp src/gfx
mkdir src/gfx/level1
cp ../gfx/level1/*.bmp src/gfx/level1
mkdir src/gfx/level2
cp ../gfx/level2/*.bmp src/gfx/level2
mkdir src/gfx/level3
cp ../gfx/level3/*.bmp src/gfx/level3
mkdir src/gfx/level4
cp ../gfx/level4/*.bmp src/gfx/level4

mkdir src/windows
cp ../windows/*.sln src/windows
cp ../windows/*.vcproj src/windows
cp ../windows/*.rc src/windows
cp ../windows/*.ico src/windows

mkdir src/linux
cp ../linux/Makefile src/linux
cp ../linux/*.TXT src/linux
cp ../linux/*.sh src/linux

echo Copying Windows Files

cp ../text.txt .
cp ../README.TXT .
cp ../7drlchanges.TXT .
cp ../daystar.cfg .
mkdir gfx
cp ../gfx/*.bmp gfx
mkdir gfx/level1
cp ../gfx/level1/*.bmp gfx/level1
mkdir gfx/level2
cp ../gfx/level2/*.bmp gfx/level2
mkdir gfx/level3
cp ../gfx/level3/*.bmp gfx/level3
mkdir gfx/level4
cp ../gfx/level4/*.bmp gfx/level4
mkdir windows
cp ../windows/Release/*.exe windows
cp ../windows/*.dll windows
cp ../windows/*.lib windows
cp ../windows/*.png windows

cp "c:/Program Files (x86)/Microsoft Visual Studio 14.0/VC/redist/x86/Microsoft.VC140.CRT"/* windows

echo All done!  Zipping.

cd ..
rm -f daystar"$argv".zip
7za a daystar"$argv".zip daystar"$argv"

